Description

It would appear that katello-configure is somehow ignoring '--user-pass=' options and defaulting to the password of 'admin'.

An example is running  # katello-configure --user-pass=katello

Attempting to go to https://localhost/katello/ after installation and logging in with admin/katello fails - without visual indication, but

Firefox/Chrome developer consoles show that /katello/user_session returns 401 'Invalid credentials'.

Based on my testing, and jsherrill's testing on IRC, it'd appear this is isolated to Fedora 18 as we aren't seeing this on RHEL6.

An observation is that rerunning katello-configure with --reset-data=YES and --user-pass=katello, is generated a new encrypted

password each time, but it appears to be encrypting 'admin' rather than 'katello'.

Created: nigeljonez on May 15, 2013 02:55 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/2287

History

#1 - 04/08/2014 06:39 PM - Eric Helms

- Status changed from New to Closed

- Triaged set to Yes

Closing due to katello-configure being deprecated in favor of the katello-installer.

#2 - 08/21/2014 02:28 PM - Eric Helms

- translation missing: en.field_release set to 13
